Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class AbstractAddon

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.phonon.AbstractAddon

All Implemented Interfaces:
  AbstractAddonInterface, QtJambiInterface

    public abstract class AbstractAddon

extends QtJambiObject
implements AbstractAddonInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary
`static class` | `AbstractAddon.AngleCommand` This class is internal to Qt Jambi.This class is internal to Qt Jambi.
`static class` | `AbstractAddon.ChapterCommand` This class is internal to Qt Jambi.This class is internal to Qt Jambi.
`static class` | `AbstractAddon.Interface` This class is internal to Qt Jambi.This class is internal to Qt Jambi.
`static class` | `AbstractAddon.NavigationCommand` This class is internal to Qt Jambi.This class is internal to Qt Jambi.
`static class` | `AbstractAddon.TitleCommand` This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`` | `AbstractAddon()` This method is internal to Qt Jambi.
`protected` | `AbstractAddon(QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_AbstractAddon(long ptr)` This method is internal to Qt Jambi.
`static AbstractAddon` | `fromNativePointer(QNativePointer nativePointer)` This method is internal to Qt Jambi.
`abstract boolean` | `hasInterface(AbstractAddon.Interface iface)` This method is internal to Qt Jambi.
`java.lang.Object` | `interfaceCall(AbstractAddon.Interface iface, int command)` This method is internal to Qt Jambi.
`abstract java.lang.Object` | `interfaceCall(AbstractAddon.Interface iface, int command, java.util.List<java.lang.Object> arguments)` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### AbstractAddon

    public AbstractAddon()

  This method is internal to Qt Jambi.

### AbstractAddon

    protected AbstractAddon(QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### hasInterface

    public abstract boolean hasInterface(AbstractAddon.Interface iface)

  This method is internal to Qt Jambi.

  Specified by:
    `hasInterface` in interface `AbstractAddonInterface`

### interfaceCall

    public final java.lang.Object interfaceCall(AbstractAddon.Interface iface,
                                                int command)

  This method is internal to Qt Jambi.

### interfaceCall

    public abstract java.lang.Object interfaceCall(AbstractAddon.Interface iface,
                                                   int command,
                                                   java.util.List<java.lang.Object> arguments)

  This method is internal to Qt Jambi.

  Specified by:
    `interfaceCall` in interface `AbstractAddonInterface`

### fromNativePointer

    public static AbstractAddon fromNativePointer(QNativePointer nativePointer)

  This method is internal to Qt Jambi.

### __qt_cast_to_AbstractAddon

    public long __qt_cast_to_AbstractAddon(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_AbstractAddon` in interface `AbstractAddonInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD